Subject: 29.0.60; go-ts-mode: Couldn't enable go-ts-mode

From: Mohammed Sadiq <[email-masked]>
Date: Thu, 09 Mar 2023 12:36:11 +0530

When I try to M-x go-ts-mode in some file buffer, it fails with the
following error:

⛔ Warning (treesit): Cannot activate tree-sitter, because language
grammar for gomod is unavailable (not-found): (libtree-sitter-gomod
libtree-sitter-gomod.so) No such file or directory

I have installed all the required libraries running batch.sh script from
https://github.com/casouri/tree-sitter-module

In the dist directory, I see a libtree-sitter-go-mod.so but not
libtree-sitter-gomod.so.

In GNU Emacs 29.0.60 (build 26, x86_64-pc-linux-gnu, GTK+ Version
  3.24.36, cairo version 1.16.0) of 2023-03-09 built on purism
Repository revision: 7e1012765c40a10a8a051c39566778913dc7e224
Repository branch: emacs-29
Windowing system distributor 'The X.Org Foundation', version 
11.0.12101007
System Description: Debian GNU/Linux bookworm/sid